Skip to main content
POST
/
projects
/
{project_reference}
/
work
Create Work definition
curl --request POST \
  --url https://api.veryfront.com/projects/{project_reference}/work \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "outcome": "<string>",
  "name": "<string>",
  "agent_id": "<string>",
  "expectations": [
    {
      "id": "<string>",
      "description": "<string>",
      "optional": true
    }
  ],
  "acceptance_criteria": [
    {
      "id": "<string>",
      "description": "<string>",
      "optional": true
    }
  ],
  "source": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "outcome": "<string>",
  "expectations": [
    {
      "id": "<string>",
      "description": "<string>",
      "optional": true
    }
  ],
  "acceptance_criteria": [
    {
      "id": "<string>",
      "description": "<string>",
      "optional": true
    }
  ],
  "source_path": "<string>",
  "source": "<string>",
  "source_only_reasons": [
    "<string>"
  ],
  "agent_id": "<string>",
  "work_schedule": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "target": {
      "id": "<string>",
      "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "schedule": "<string>",
    "timezone": "<string>",
    "runtime_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "runtime_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "config": {},
    "timeout_seconds": 123,
    "backoff_limit": 123,
    "concurrency_policy": "<string>",
    "last_scheduled_at": "<string>",
    "last_successful_at": "<string>",
    "max_runs": 1,
    "run_count": 1,
    "completed_at": "<string>",
    "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "run_as_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "<string>",
    "updated_at": "<string>"
  },
  "schedule": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "target": {
      "id": "<string>",
      "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "schedule": "<string>",
    "timezone": "<string>",
    "runtime_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "runtime_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "config": {},
    "timeout_seconds": 123,
    "backoff_limit": 123,
    "concurrency_policy": "<string>",
    "last_scheduled_at": "<string>",
    "last_successful_at": "<string>",
    "max_runs": 1,
    "run_count": 1,
    "completed_at": "<string>",
    "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "run_as_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Query Parameters

source_target_kind
string
target_branch_id
string<uuid> | null

Body

application/json
id
string
required
Minimum string length: 1
Pattern: ^[A-Za-z0-9][A-Za-z0-9_-]*$
outcome
string
required
Minimum string length: 1
name
string | null
Minimum string length: 1
agent_id
string | null
Minimum string length: 1
expectations
object[]
acceptance_criteria
object[]
source
string
Minimum string length: 1
work_schedule
object
schedule
object

Response

Created Work definition

id
string
required
Minimum string length: 1
Pattern: ^[A-Za-z0-9][A-Za-z0-9_-]*$
name
string
required
outcome
string
required
expectations
object[]
required
acceptance_criteria
object[]
required
source_path
string
required
source
string
required
edit_mode
enum<string>
required
Available options:
structured,
source_only
source_only_reasons
string[]
required
agent_id
string | null
work_schedule
object
schedule
object